<h1>Importing new questions</h1>

<p>This function allows you to import questions from 
   external text files, uploaded through a form,
   or by choosing a suitable file already in the
   course Files area.  </p>

<h2>A note about character encodings</h2>

<p>If your file contains non-ascii characters then it must use UTF-8 encoding. 
   You may be able to select or convert to UTF-8 using your favourite editor,
   or it may be an option in the exporting software. 
   XML based import formats will be handled
   automatically provided your Moodle server is running PHP 5.</p> 

<p>A number of file formats are supported:</p>

<h2>GIFT format</h2>
<ul>
<p>GIFT is the most comprehensive import format available for importing 
   Moodle quiz questions from a text file.  It was designed to be an easy 
   method for teachers writing questions as a text file. It supports Multiple-Choice, 
   True-False, Short Answer, Matching and Numerical questions, as well as insertion 
   of a _____ for the "missing word" format.  Various question-types can be 
   mixed in a single text file, and the format also supports line comments, question names, 
   feedback and percentage-weight grades.  Below are some examples:</p>
<pre>
Who's buried in Grant's tomb?{~Grant ~Jefferson =no one}

Grant is {~buried =entombed ~living} in Grant's tomb.

Grant is buried in Grant's tomb.{FALSE}

Who's buried in Grant's tomb?{=no one =nobody}

When was Ulysses S. Grant born?{#1822}
</pre>

<p align="right"><a href="help.php?file=formatgift.html&amp;module=quiz">More info about the "GIFT" format</a></p>
</ul>

<h2>Missing Word</h2>
<ul>
<p>This format only supports multiple choice questions and
short answer question, depending on the number of answers. One
answer generates a short answer question, two or more answers
generate a multiple choice question.
Each answer is separated with a tilde (~), and the correct answer is 
prefixed with an equals sign (=).  Here is an example of a multiple
choice question:</p>

<blockquote>As soon as we begin to explore our body parts as infants
we become students of {=anatomy and physiology ~reflexology 
~science ~experiment}, and in a sense we remain students for life.
</blockquote>

<p>Here is an example of a short answer question:</p>

<blockquote>As soon as we begin to explore our body parts as infants
 we become students of {=anatomy and physiology},
 and in a sense we remain students for life.
</blockquote>

<p align="right"><a href="help.php?file=formatmissingword.html&amp;module=quiz">More info about the "Missing Word" format</a></p>
</ul>

<h2>Blackboard</h2>
<ul>
<p>This module can import questions saved in Blackboard's export 
format.  It relies on XML functions being compiled into your PHP.
Note that this version <strong>does not</strong> work with Blackboard
Version 6 and newer.</p>

<p align="right"><a href="help.php?file=formatblackboard.html&amp;module=quiz">More info about the "Blackboard" format</a></p>
</ul>

<h2>Blackboard V6+</h2>
<ul>
<p>This module can import questions saved in Blackboard's export
format. It provides limited support for Blackboard Version 6 and
7. It relies on XML functions being compiled into your PHP. You
must upload the zip file exported from Blackboard.</p>
</ul>


<h2>WebCT</h2>
<ul>
<p>This module can import questions saved in WebCT's text-based format.</p>

<p align="right"><a href="help.php?file=formatwebct.html&amp;module=quiz">More info about the "WebCT" format</a></p>
</ul>


<h2>Course Test Manager</h2>
<ul>
<p>This module can import questions saved in a Course Test Manager test bank.
It relies on different ways of accessing the test bank, which is in a Microsoft Access 
database, depending on whether Moodle is running on a Windows or Linux web server.</p>
<p>On Windows it lets you upload the access database just like any other data import file.</p>
<p>On Linux, you must set up a windows machine on the same network with the Course Test
Manager database and a piece of software called the ODBC Socket Server, which uses XML
to transfer data to moodle on the Linux server.</p>  
<p>Please read the full help file below before
using this import class.</p>


<p align="right"><a href="help.php?file=formatctm.html&amp;module=quiz">More info about the "CTM" format</a></p>
</ul>



<h2>Embedded answers (Cloze)</h2>
<ul>
<p>This special purpose format imports just one type of question, the 
Embedded Answers (also known as Cloze) format.
</p>

<p align="right"><a href="help.php?file=multianswer.html&amp;module=quiz">More info about the "Cloze" format</a></p>
</ul>

<h2>Learnwise format</h2>
<ul>
<p>This format can import multiple choice questions saved in Learnwise's XML
format.</p>
</ul>

<h2>Examview format</h2>
<ul>
<p>This format can import from Examview 4 XML files. Note that the older
versions of Examview are not supported.</p>
</ul>

<h2>Moodle XML format</h2>
<ul>
<p>This Moodle specific format imports quiz questions that have previously been
exported in the same format. The format is straightforward and is best demonstrated
by exporting a category in the Moodle XML format. The XML format is capabable of 
importing image files.
</p>
<p align="right"><a href="help.php?file=formatxml.html&amp;module=quiz">More info about the "Moodle XML" format</a></p>
</ul>

<p>Import and Export formats are a pluggable resource. Other optional formats may be available in the
   Modules and Plugins database.</p>
